<?xml version="1.0" ?>
<!-- 
	Resource Directory Description Language (RDDL)
	Author: Jonathan Borden <jonathan@openhealth.org>
	Date: 2001-01-03
	
	This is an experimental version.
	
	RDDL to RDF transform
	
	Assumes xlink:arcrole is a URI reference in form:
	
		absoluteURI '#' fragment-id
		
		when converting to a propertyElt:
		
			absoluteURI => namespace URI
			fragment-id => local-name
			
	ToDo:
		xlink:role support
		xlink:title (currently output as comment)
		content-type support
	
	RDDL: http://www.openhealth.org/RDDL/
	RDF: http://www.w3.org/TR/REC-rdf-syntax
-->
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rddl="http://www.openhealth.org/RDDL/"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns="http://www.w3.org/1999/xhtml"
	version="1.0">

<xsl:template match="/">
<xsl:comment>RDF generated from RDDL document (http://www.openhealth.org/RDDL/</xsl:comment>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
			 xmlns:rddl="http://www.openhealth.org/RDDL/">
		<xsl:apply-templates select="//rddl:resource"/>
</rdf:RDF>

</xsl:template>
<!-- 
	note: assume xlink:arcrole := absoluteURI  '#' fragment-id
-->
<xsl:template match="rddl:resource">
	<xsl:variable name="namespace-part" select="substring-before(@xlink:arcrole,'#')"/>
	<xsl:variable name="local-name" select="substring-after(@xlink:arcrole,'#')"/>
	<xsl:comment> <xsl:value-of select="@xlink:title" /> </xsl:comment>
	<rddl:resource>
		<xsl:choose>
			<xsl:when test="@id"><xsl:attribute name="rdf:ID"><xsl:value-of select="@id" /></xsl:attribute></xsl:when>
			<xsl:otherwise><xsl:attribute name="rdf:about"></xsl:attribute></xsl:otherwise>
		</xsl:choose>
		<xsl:element name="{$local-name}" namespace="{$namespace-part}">
			<xsl:attribute name="rdf:resource"><xsl:value-of select="@xlink:href" /></xsl:attribute>
		</xsl:element>
		<rddl:documentation rdf:parseType="Literal"
			>
			<xsl:copy-of select="*" />
		</rddl:documentation>
	</rddl:resource>
</xsl:template>

</xsl:stylesheet>